# Struct crypto::hmac::Hmac [−] [src]

    pub struct Hmac<D> { /* fields omitted */ }

The Hmac struct represents an Hmac function - a Message Authentication Code using a Digest.

## Methods

### `impl<D: Digest> Hmac<D>`
[src]

#### `fn new(digest: D, key: &[u8]) -> Hmac<D>`

Create a new Hmac instance.

# Arguments

- digest - The Digest to use.
- key - The key to use.

## Trait Implementations

### `impl<D: Digest> Mac for Hmac<D>`
[src]

#### `fn input(&mut self, data: &[u8])`

Process input data. Read more

#### `fn reset(&mut self)`

Reset the Mac state to begin processing another input stream.

#### `fn result(&mut self) -> MacResult`

Obtain the result of a Mac computation as a MacResult.

#### `fn raw_result(&mut self, output: &mut [u8])`

Obtain the result of a Mac computation as [u8]. This method should be used very carefully since incorrect use of the Mac code could result in permitting a timing attack which defeats the security provided by a Mac function. Read more

#### `fn output_bytes(&self) -> usize`

Get the size of the Mac code, in bytes.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)